diff --git a/test/e2e/lib/string_expander.rb b/test/e2e/lib/string_expander.rb
index 8d2865c..ad59b8e 100644
--- a/test/e2e/lib/string_expander.rb
+++ b/test/e2e/lib/string_expander.rb
@@ -11,7 +11,7 @@ module Hive
     #   {project}          → File.basename(context[:sandbox_dir])
     #   {slug}             → context[:slug] (resolved via :slug_resolver if blank)
     #   {run_id}           → context[:run_id]
-    #   {task_dir:<stage>} → "<sandbox>/.hive-state/stages/<stage>/<slug>"
+    #   {task_dir:<stage>} → "<sandbox>/.hive/stages/<stage>/<slug>"
     #
     # `:slug_resolver` is an optional callable that returns a slug when the
     # caller can't pre-fill one (e.g. an early step that hasn't seeded yet).
@@ -39,7 +39,7 @@ module Hive
           .gsub("{project}", File.basename(sandbox_dir))
           .gsub("{slug}", slug_value.to_s)
           .gsub("{run_id}", context[:run_id].to_s)
-          .gsub(/\{task_dir:([^}]+)\}/) { File.join(sandbox_dir, ".hive-state", "stages", Regexp.last_match(1), slug_value.to_s) }
+          .gsub(/\{task_dir:([^}]+)\}/) { File.join(sandbox_dir, ".hive", "stages", Regexp.last_match(1), slug_value.to_s) }
       end
 
       def resolve_slug(context)
diff --git a/test/e2e/lib/tmux_session_lifecycle_test.rb b/test/e2e/lib/tmux_session_lifecycle_test.rb
index 9d468c6..3df94d2 100644
--- a/test/e2e/lib/tmux_session_lifecycle_test.rb
+++ b/test/e2e/lib/tmux_session_lifecycle_test.rb
@@ -41,7 +41,7 @@ class E2ETmuxSessionLifecycleTest < Minitest::Test
 
           env = lifecycle.send(:session_env)
 
-          assert_equal File.join(sandbox_dir, ".hive-state", "stages", "3-plan", "ready-task", "plan.md"),
+          assert_equal File.join(sandbox_dir, ".hive", "stages", "3-plan", "ready-task", "plan.md"),
                        env["HIVE_FAKE_CLAUDE_WRITE_FILE"]
           assert_equal "ready-task", env["HIVE_FAKE_CLAUDE_WRITE_CONTENT"]
           assert_equal File.join(scenario_dir, "tui-subprocess-live"), env["HIVE_TUI_LOG_DIR"]
diff --git a/test/integration/bot/brainstorm_round_trip_test.rb b/test/integration/bot/brainstorm_round_trip_test.rb
index 638b099..9e3b444 100644
--- a/test/integration/bot/brainstorm_round_trip_test.rb
+++ b/test/integration/bot/brainstorm_round_trip_test.rb
@@ -7,7 +7,7 @@ class HiveBotBrainstormRoundTripTest < Minitest::Test
 
   def test_four_question_round_writes_incrementally
     with_tmp_dir do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "2-brainstorm", "slug-260514-abcd")
+      folder = File.join(dir, ".hive", "stages", "2-brainstorm", "slug-260514-abcd")
       FileUtils.mkdir_p(folder)
       path = File.join(folder, "brainstorm.md")
       File.write(path, <<~MARKDOWN)
diff --git a/test/integration/bot/scenarios/s1_brainstorm_test.rb b/test/integration/bot/scenarios/s1_brainstorm_test.rb
index a9eefaa..e16c995 100644
--- a/test/integration/bot/scenarios/s1_brainstorm_test.rb
+++ b/test/integration/bot/scenarios/s1_brainstorm_test.rb
@@ -20,7 +20,7 @@ class HiveBotScenarioBrainstormTest < Minitest::Test
   def test_s1_answers_four_questions_in_thread_and_done_dispatches_run
     project = File.join(@home, "project")
     slug = "mobile-bot-260514-abcd"
-    brainstorm = File.join(project, ".hive-state", "stages", "2-brainstorm", slug, "brainstorm.md")
+    brainstorm = File.join(project, ".hive", "stages", "2-brainstorm", slug, "brainstorm.md")
     FileUtils.mkdir_p(File.dirname(brainstorm))
     File.write(brainstorm, <<~MARKDOWN)
       ## Round 2
@@ -45,7 +45,7 @@ class HiveBotScenarioBrainstormTest < Minitest::Test
     MARKDOWN
     File.write(File.join(@home, "config.yml"), {
       "registered_projects" => [
-        { "name" => "hive", "path" => project, "hive_state_path" => File.join(project, ".hive-state") }
+        { "name" => "hive", "path" => project, "hive_state_path" => File.join(project, ".hive") }
       ],
       "bot" => { "chat_id_allowlist" => [ 12345 ] }
     }.to_yaml)
diff --git a/test/integration/bot/scenarios/s4_idea_test.rb b/test/integration/bot/scenarios/s4_idea_test.rb
index ff7a261..841b7c1 100644
--- a/test/integration/bot/scenarios/s4_idea_test.rb
+++ b/test/integration/bot/scenarios/s4_idea_test.rb
@@ -6,8 +6,8 @@ require "hive/bot/telegram"
 class HiveBotScenarioIdeaTest < Minitest::Test
   def test_s4_idea_project_picker_dispatches_hive_new
     projects = [
-      { "name" => "hive", "path" => "/tmp/hive", "hive_state_path" => "/tmp/hive/.hive-state" },
-      { "name" => "writero", "path" => "/tmp/writero", "hive_state_path" => "/tmp/writero/.hive-state" }
+      { "name" => "hive", "path" => "/tmp/hive", "hive_state_path" => "/tmp/hive/.hive" },
+      { "name" => "writero", "path" => "/tmp/writero", "hive_state_path" => "/tmp/writero/.hive" }
     ]
     router = Hive::Bot::Router.new(
       bot_config: { "chat_id_allowlist" => [ 12345 ] },
diff --git a/test/integration/daemon_command_test.rb b/test/integration/daemon_command_test.rb
index ea385c4..11943f2 100644
--- a/test/integration/daemon_command_test.rb
+++ b/test/integration/daemon_command_test.rb
@@ -280,13 +280,13 @@ class HiveDaemonCommandTest < Minitest::Test
   # ── enable / disable: per-project YAML toggle ─────────────────────────
 
   # Sets up a HIVE_HOME with one registered project at <home>/proj
-  # carrying a minimal `.hive-state/config.yml`. Yields the env hash
+  # carrying a minimal `.hive/config.yml`. Yields the env hash
   # plus the project's config.yml path so each test can assert against
   # the post-toggle YAML.
   def with_registered_project(initial_yaml: "default_branch: main\n")
     with_isolated_hive_home do |home, env|
       project_root = File.join(home, "proj")
-      hive_state = File.join(project_root, ".hive-state")
+      hive_state = File.join(project_root, ".hive")
       FileUtils.mkdir_p(hive_state)
       cfg_path = File.join(hive_state, "config.yml")
       File.write(cfg_path, initial_yaml)
@@ -383,9 +383,9 @@ class HiveDaemonCommandTest < Minitest::Test
     with_isolated_hive_home do |home, env|
       projects = %w[a b c].map do |name|
         root = File.join(home, name)
-        FileUtils.mkdir_p(File.join(root, ".hive-state"))
-        File.write(File.join(root, ".hive-state", "config.yml"), "default_branch: main\n")
-        { "name" => name, "path" => root, "hive_state_path" => File.join(root, ".hive-state") }
+        FileUtils.mkdir_p(File.join(root, ".hive"))
+        File.write(File.join(root, ".hive", "config.yml"), "default_branch: main\n")
+        { "name" => name, "path" => root, "hive_state_path" => File.join(root, ".hive") }
       end
       File.write(File.join(home, "config.yml"), { "registered_projects" => projects }.to_yaml)
 
@@ -393,7 +393,7 @@ class HiveDaemonCommandTest < Minitest::Test
       assert_equal 0, status.exitstatus
       %w[a b c].each do |name|
         assert_match(/enabled #{name}/, out)
-        data = YAML.safe_load(File.read(File.join(home, name, ".hive-state", "config.yml")))
+        data = YAML.safe_load(File.read(File.join(home, name, ".hive", "config.yml")))
         assert_equal true, data.dig("daemon", "enabled"), "#{name} must be enabled"
       end
     end
@@ -403,7 +403,7 @@ class HiveDaemonCommandTest < Minitest::Test
     with_isolated_hive_home do |home, env|
       projects = %w[a broken c].map do |name|
         root = File.join(home, name)
-        hive_state = File.join(root, ".hive-state")
+        hive_state = File.join(root, ".hive")
         unless name == "broken"
           FileUtils.mkdir_p(hive_state)
           File.write(File.join(hive_state, "config.yml"), <<~YAML)
@@ -426,7 +426,7 @@ class HiveDaemonCommandTest < Minitest::Test
       assert_match(/missing .*broken.*config.yml/, err)
 
       %w[a c].each do |name|
-        data = YAML.safe_load(File.read(File.join(home, name, ".hive-state", "config.yml")))
+        data = YAML.safe_load(File.read(File.join(home, name, ".hive", "config.yml")))
         assert_equal true, data.dig("daemon", "enabled"), "#{name} must not be changed after preflight failure"
       end
     end
@@ -473,7 +473,7 @@ class HiveDaemonCommandTest < Minitest::Test
     end
   end
 
-  # When the project is registered but its .hive-state/config.yml has been
+  # When the project is registered but its .hive/config.yml has been
   # deleted manually, `enable` must surface as the not_initialised
   # USAGE-class error (exit 64), pointing at the missing path — not
   # bubble up Errno::ENOENT or write a fresh file behind the operator's
@@ -481,9 +481,9 @@ class HiveDaemonCommandTest < Minitest::Test
   def test_enable_on_missing_config_yml_raises_not_initialised
     with_isolated_hive_home do |home, env|
       project_root = File.join(home, "proj")
-      hive_state = File.join(project_root, ".hive-state")
+      hive_state = File.join(project_root, ".hive")
       FileUtils.mkdir_p(hive_state)
-      # Note: no config.yml inside .hive-state.
+      # Note: no config.yml inside .hive.
       File.write(File.join(home, "config.yml"), {
         "registered_projects" => [
           { "name" => "proj", "path" => project_root, "hive_state_path" => hive_state }
@@ -555,7 +555,7 @@ class HiveDaemonCommandTest < Minitest::Test
   def test_enable_json_error_envelope_not_initialised
     with_isolated_hive_home do |home, env|
       project_root = File.join(home, "proj")
-      hive_state = File.join(project_root, ".hive-state")
+      hive_state = File.join(project_root, ".hive")
       FileUtils.mkdir_p(hive_state)
       File.write(File.join(home, "config.yml"), {
         "registered_projects" => [
@@ -777,7 +777,7 @@ class HiveDaemonCommandTest < Minitest::Test
       projects = []
       %w[a b c].each_with_index do |name, idx|
         root = File.join(home, name)
-        hive_state = File.join(root, ".hive-state")
+        hive_state = File.join(root, ".hive")
         FileUtils.mkdir_p(hive_state)
         cfg = File.join(hive_state, "config.yml")
         if name == "b"
@@ -795,8 +795,8 @@ class HiveDaemonCommandTest < Minitest::Test
                    "disable --all must exit 78 (CONFIG) when a target's YAML is malformed"
 
       # The good projects must still be `enabled: true` — no partial mutation.
-      data_a = YAML.safe_load(File.read(File.join(home, "a", ".hive-state", "config.yml")))
-      data_c = YAML.safe_load(File.read(File.join(home, "c", ".hive-state", "config.yml")))
+      data_a = YAML.safe_load(File.read(File.join(home, "a", ".hive", "config.yml")))
+      data_c = YAML.safe_load(File.read(File.join(home, "c", ".hive", "config.yml")))
       assert_equal true, data_a.dig("daemon", "enabled"),
                    "project a must NOT have been flipped by disable --all (preflight aborted)"
       assert_equal true, data_c.dig("daemon", "enabled"),
@@ -806,13 +806,13 @@ class HiveDaemonCommandTest < Minitest::Test
 
   def test_enable_all_preflight_aborts_when_one_project_missing_config_yml
     with_isolated_hive_home do |home, env|
-      # Three projects: a, b, c. Project b has `.hive-state/` but no
+      # Three projects: a, b, c. Project b has `.hive/` but no
       # config.yml inside (partial-init state). enable --all must
       # refuse the whole operation, not flip a + skip c.
       projects = []
       %w[a b c].each do |name|
         root = File.join(home, name)
-        hive_state = File.join(root, ".hive-state")
+        hive_state = File.join(root, ".hive")
         FileUtils.mkdir_p(hive_state)
         if name != "b"
           File.write(File.join(hive_state, "config.yml"), "default_branch: main\n")
@@ -827,10 +827,10 @@ class HiveDaemonCommandTest < Minitest::Test
                    "enable --all must exit 64 (USAGE / not_initialised) on missing config.yml"
 
       # a must NOT have a daemon block; preflight aborted before any writes.
-      a_cfg = File.read(File.join(home, "a", ".hive-state", "config.yml"))
+      a_cfg = File.read(File.join(home, "a", ".hive", "config.yml"))
       refute_match(/^daemon:/, a_cfg,
                    "project a must NOT have been touched by enable --all (preflight aborted)")
-      c_cfg = File.read(File.join(home, "c", ".hive-state", "config.yml"))
+      c_cfg = File.read(File.join(home, "c", ".hive", "config.yml"))
       refute_match(/^daemon:/, c_cfg,
                    "project c must NOT have been touched by enable --all (preflight aborted)")
     end
@@ -971,7 +971,7 @@ class HiveDaemonCommandTest < Minitest::Test
       projects = []
       %w[a b].each do |name|
         root = File.join(home, name)
-        hive_state = File.join(root, ".hive-state")
+        hive_state = File.join(root, ".hive")
         FileUtils.mkdir_p(hive_state)
         cfg = File.join(hive_state, "config.yml")
         if name == "b"
diff --git a/test/integration/forget_command_test.rb b/test/integration/forget_command_test.rb
index bdf30f2..83ddffd 100644
--- a/test/integration/forget_command_test.rb
+++ b/test/integration/forget_command_test.rb
@@ -32,7 +32,7 @@ class ForgetCommandTest < Minitest::Test
       assert_equal true, payload["ok"]
       assert_equal "drop", payload["name"]
       assert_equal "/tmp/drop", payload["path"]
-      assert_equal "/tmp/drop/.hive-state", payload["hive_state_path"]
+      assert_equal "/tmp/drop/.hive", payload["hive_state_path"]
     end
   end
 
@@ -178,7 +178,7 @@ class ForgetCommandTest < Minitest::Test
         File.join(home, "config.yml"),
         {
           "registered_projects" => [
-            { "name" => "rel", "path" => "relative/dir", "hive_state_path" => "relative/dir/.hive-state" }
+            { "name" => "rel", "path" => "relative/dir", "hive_state_path" => "relative/dir/.hive" }
           ]
         }.to_yaml
       )
diff --git a/test/integration/full_flow_test.rb b/test/integration/full_flow_test.rb
index 65b995b..aa37499 100644
--- a/test/integration/full_flow_test.rb
+++ b/test/integration/full_flow_test.rb
@@ -156,7 +156,7 @@ class FullFlowTest < Minitest::Test
         @spawned_worktrees = []
         capture_io { Hive::Commands::Init.new(dir).call }
         # Override worktree_root so tests don't pollute ~/Dev.
-        cfg_path = File.join(dir, ".hive-state", "config.yml")
+        cfg_path = File.join(dir, ".hive", "config.yml")
         cfg = YAML.safe_load(File.read(cfg_path))
         worktree_root = Dir.mktmpdir("flow-wt-root-")
         @spawned_worktrees << worktree_root
@@ -165,11 +165,11 @@ class FullFlowTest < Minitest::Test
         project = File.basename(dir)
         capture_io { Hive::Commands::New.new(project, "fix readme whitespace").call }
 
-        inbox = Dir[File.join(dir, ".hive-state", "stages", "1-inbox", "*")].first
+        inbox = Dir[File.join(dir, ".hive", "stages", "1-inbox", "*")].first
         slug = File.basename(inbox)
 
         # 1-inbox → 2-brainstorm
-        brainstorm_dir = File.join(dir, ".hive-state", "stages", "2-brainstorm", slug)
+        brainstorm_dir = File.join(dir, ".hive", "stages", "2-brainstorm", slug)
         FileUtils.mkdir_p(File.dirname(brainstorm_dir))
         FileUtils.mv(inbox, brainstorm_dir)
 
@@ -183,7 +183,7 @@ class FullFlowTest < Minitest::Test
         assert_equal :complete, Hive::Markers.current(File.join(brainstorm_dir, "brainstorm.md")).name
 
         # 2-brainstorm → 3-plan
-        plan_dir = File.join(dir, ".hive-state", "stages", "3-plan", slug)
+        plan_dir = File.join(dir, ".hive", "stages", "3-plan", slug)
         FileUtils.mkdir_p(File.dirname(plan_dir))
         FileUtils.mv(brainstorm_dir, plan_dir)
         ENV["HIVE_FLOW_FOLDER"] = plan_dir
@@ -192,7 +192,7 @@ class FullFlowTest < Minitest::Test
         assert_equal :complete, Hive::Markers.current(File.join(plan_dir, "plan.md")).name
 
         # 3-plan → 4-execute (impl-only since U9; success → EXECUTE_COMPLETE)
-        execute_dir = File.join(dir, ".hive-state", "stages", "4-execute", slug)
+        execute_dir = File.join(dir, ".hive", "stages", "4-execute", slug)
         FileUtils.mkdir_p(File.dirname(execute_dir))
         FileUtils.mv(plan_dir, execute_dir)
         ENV["HIVE_FLOW_FOLDER"] = execute_dir
@@ -203,7 +203,7 @@ class FullFlowTest < Minitest::Test
 
         # 4-execute → 5-open-pr. PR stage pushes to origin; create a
         # bare remote in the worktree before entering the stage.
-        open_pr_dir = File.join(dir, ".hive-state", "stages", "5-open-pr", slug)
+        open_pr_dir = File.join(dir, ".hive", "stages", "5-open-pr", slug)
         FileUtils.mkdir_p(File.dirname(open_pr_dir))
         FileUtils.mv(execute_dir, open_pr_dir)
 
@@ -232,7 +232,7 @@ class FullFlowTest < Minitest::Test
         #   - review.reviewers = []   → Phase 2 skipped (zero reviewers ≠ failure)
         #   - review.browser_test.enabled = false → Phase 5 skipped
         # Loop converges to REVIEW_COMPLETE browser=skipped on first pass.
-        review_dir = File.join(dir, ".hive-state", "stages", "6-review", slug)
+        review_dir = File.join(dir, ".hive", "stages", "6-review", slug)
         FileUtils.mkdir_p(File.dirname(review_dir))
         FileUtils.mv(open_pr_dir, review_dir)
 
@@ -253,7 +253,7 @@ class FullFlowTest < Minitest::Test
         assert_equal "skipped", marker.attrs["browser"]
 
         # 6-review → 7-finalize
-        finalize_dir = File.join(dir, ".hive-state", "stages", "7-finalize", slug)
+        finalize_dir = File.join(dir, ".hive", "stages", "7-finalize", slug)
         FileUtils.mkdir_p(File.dirname(finalize_dir))
         FileUtils.mv(review_dir, finalize_dir)
 
@@ -264,7 +264,7 @@ class FullFlowTest < Minitest::Test
         assert File.exist?(File.join(finalize_dir, "summary.md"))
 
         # 7-finalize → 8-done (no agent invoked)
-        done_dir = File.join(dir, ".hive-state", "stages", "8-done", slug)
+        done_dir = File.join(dir, ".hive", "stages", "8-done", slug)
         FileUtils.mkdir_p(File.dirname(done_dir))
         FileUtils.mv(finalize_dir, done_dir)
         out, _err = capture_io { Hive::Commands::Run.new(done_dir).call }
@@ -275,7 +275,7 @@ class FullFlowTest < Minitest::Test
         master_log = `git -C #{dir} log --format=%s master`.strip.split("\n")
         hive_msgs = master_log.select { |m| m.start_with?("hive:") }
         assert_empty hive_msgs, "master must contain no hive: commits"
-        hive_state_log = `git -C #{File.join(dir, ".hive-state")} log --format=%s`.strip.split("\n")
+        hive_state_log = `git -C #{File.join(dir, ".hive")} log --format=%s`.strip.split("\n")
         assert(hive_state_log.any? { |m| m.start_with?("hive: 4-execute/") },
                "hive/state log should record execute-stage commits")
       end
diff --git a/test/integration/init_service_test.rb b/test/integration/init_service_test.rb
new file mode 100644
index 0000000..eaf831b
--- /dev/null
+++ b/test/integration/init_service_test.rb
@@ -0,0 +1,72 @@
+require "test_helper"
+require "hive/commands/init"
+require "hive/service"
+
+# U5 integration: `hive init` post-scaffold service registration degrades
+# gracefully on hosts without a usable service manager, defaults to
+# register-only under non-TTY stdin, and keeps its manifests inside the
+# HIVE_HOME sandbox (never the real $HOME).
+class InitServiceRegistrationTest < Minitest::Test
+  include HiveTestHelper
+
+  def test_init_without_systemd_session_prints_advisory_and_succeeds
+    # Simulate a container with no systemctl user session: probe false →
+    # Unsupported → init completes with an advisory warn only.
+    prev_flag = ENV["HIVE_NO_SERVICE"]
+    ENV["HIVE_NO_SERVICE"] = nil
+    Hive::Service.define_singleton_method(:systemd_user_session?) { false }
+
+    with_tmp_global_config do
+      with_tmp_git_repo do |dir|
+        out, err = capture_io { Hive::Commands::Init.new(dir).call }
+        assert_includes out, "hive: initialized"
+        assert_match(/skipping daemon service registration/, err)
+        branches = `git -C #{dir} branch --list`
+        assert_includes branches, "hive/state", "init must still complete fully"
+      end
+    ensure
+      ENV["HIVE_NO_SERVICE"] = prev_flag || "1"
+      reset_service_singletons
+    end
+  end
+
+  def test_init_non_tty_registers_only_when_manager_available
+    prev_flag = ENV["HIVE_NO_SERVICE"]
+    ENV["HIVE_NO_SERVICE"] = nil
+    manager_calls = []
+
+    Hive::Service.define_singleton_method(:systemd_user_session?) { true }
+    original_run = Hive::Service.method(:run!)
+    Hive::Service.define_singleton_method(:run!) do |*cmd|
+      manager_calls << cmd.map(&:to_s)
+      ""
+    end
+
+    with_tmp_global_config do
+      with_tmp_git_repo do |dir|
+        home = ENV["HIVE_HOME"]
+        out, err = capture_io { Hive::Commands::Init.new(dir).call }
+        assert_includes out, "hive: initialized"
+        assert_match(/registered, not started/, err)
+        expected_manifest = File.join(home, "systemd", "user", "hive.service")
+        assert File.exist?(expected_manifest),
+               "register-only must write the unit into the HIVE_HOME sandbox"
+        started = manager_calls.reject { |c| c.join(" ").include?("daemon-reload") }
+        assert_empty started, "register-only may only daemon-reload, never start"
+        refute_includes err.to_s, "AND started"
+      end
+    ensure
+      ENV["HIVE_NO_SERVICE"] = prev_flag || "1"
+      Hive::Service.define_singleton_method(:run!, original_run)
+      reset_service_singletons
+    end
+  end
+
+  private
+
+  def reset_service_singletons
+    Hive::Service.singleton_class.send(:remove_method, :systemd_user_session?)
+  rescue NameError
+    nil
+  end
+end
diff --git a/test/integration/init_test.rb b/test/integration/init_test.rb
index 0b42386..9974734 100644
--- a/test/integration/init_test.rb
+++ b/test/integration/init_test.rb
@@ -22,17 +22,19 @@ class InitTest < Minitest::Test
         # styled summary.
         refute_match(/\e\[/, out, "ANSI escapes must not appear in non-tty output")
 
-        assert File.directory?(File.join(dir, ".hive-state", "stages", "1-inbox"))
-        assert File.exist?(File.join(dir, ".hive-state", "config.yml"))
+        assert File.directory?(File.join(dir, ".hive", "stages", "1-inbox")), ".hive is the canonical scaffold root"
+        assert File.exist?(File.join(dir, ".hive", "config.yml"))
+        refute File.exist?(File.join(dir, ".hive-state")), "legacy .hive-state must not be created by fresh init"
 
         log = `git -C #{dir} log --format=%s hive/state`.strip
         assert_includes log, "hive: bootstrap"
 
         master_log = `git -C #{dir} log --format=%s master`.strip
-        assert_includes master_log, "chore: ignore .hive-state worktree"
+        assert_includes master_log, "chore: ignore .hive state worktree"
 
         gitignore = File.read(File.join(dir, ".gitignore"))
-        assert_includes gitignore, "/.hive-state/"
+        assert_includes gitignore, "/.hive/"
+        assert_includes gitignore, "/.hive-state/", "both scaffold roots must stay ignored"
 
         projects = Hive::Config.registered_projects
         assert(projects.any? { |p| p["path"] == File.expand_path(dir) })
@@ -96,7 +98,7 @@ class InitTest < Minitest::Test
       with_tmp_git_repo do |dir|
         File.write(File.join(dir, "untracked.txt"), "x")
         capture_io { Hive::Commands::Init.new(dir).call }
-        assert File.directory?(File.join(dir, ".hive-state"))
+        assert File.directory?(File.join(dir, ".hive"))
       end
     end
   end
@@ -108,7 +110,7 @@ class InitTest < Minitest::Test
         run!("git", "-C", dir, "add", ".")
         run!("git", "-C", dir, "commit", "-m", "untracked")
         capture_io { Hive::Commands::Init.new(dir, force: true).call }
-        assert File.directory?(File.join(dir, ".hive-state"))
+        assert File.directory?(File.join(dir, ".hive"))
       end
     end
   end
@@ -162,7 +164,7 @@ class InitTest < Minitest::Test
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         capture_io { Hive::Commands::Init.new(dir).call }
-        cfg_path = File.join(dir, ".hive-state", "config.yml")
+        cfg_path = File.join(dir, ".hive", "config.yml")
         # Parse the YAML and check structurally — comments mentioning
         # execute_review are fine; the rendered key/value is not.
         parsed = YAML.safe_load(File.read(cfg_path))
@@ -214,7 +216,9 @@ class InitTest < Minitest::Test
     inputs = [
       "codex", "2", "1,3", "safetyist",
       "", "30,900", "", "", "", "", "", "", "",
-      "", ""
+      # daemon, then the two U4 model-override slots (blank = defaults),
+      # then confirm.
+      "", "", "", ""
     ].join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
@@ -244,7 +248,7 @@ class InitTest < Minitest::Test
 
   def test_init_with_daemon_disabled_writes_disabled_config
     # Same shape as above but explicitly answer `n` to the daemon prompt.
-    inputs = (([ "" ] * 13) + [ "n", "" ]).join("\n") + "\n"
+    inputs = (([ "" ] * 13) + [ "n", "", "", "" ]).join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         prompts = make_tty_prompts(inputs)
@@ -260,7 +264,7 @@ class InitTest < Minitest::Test
   def test_init_aborts_with_zero_disk_state_when_user_says_n
     # Blank for everything until confirmation; answer `n` at the end.
     # 14 blanks: planning, dev, reviewers, triage bias, 9 limits, daemon-enable.
-    inputs = (([ "" ] * 14) + [ "n" ]).join("\n") + "\n"
+    inputs = (([ "" ] * 16) + [ "n" ]).join("\n") + "\n"
     with_tmp_global_config do
       with_tmp_git_repo do |dir|
         prompts = make_tty_prompts(inputs)
@@ -273,10 +277,10 @@ class InitTest < Minitest::Test
 
         # Critical: nothing on disk. No orphan branch, no worktree, no
         # master .gitignore commit, no global registry entry.
-        refute File.directory?(File.join(dir, ".hive-state")),
-               ".hive-state must not exist after abort"
+        refute File.directory?(File.join(dir, ".hive")),
+               ".hive must not exist after abort"
         log = `git -C #{dir} log --format=%s 2>&1`.strip
-        refute_includes log, "chore: ignore .hive-state worktree",
+        refute_includes log, "chore: ignore .hive state worktree",
                         "master must not have the gitignore commit"
         branches = `git -C #{dir} branch --list`
         refute_includes branches, "hive/state",
